﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ych_sdk.Sample
{
    class TestLogin : BaseTest
    {
        public override void exec()
        {
            String url = accountHost + "login";
            SortedDictionary<String, String> param = constructParam();
            YchClient sdk = new YchClient(appkey, secret);
            String rsp = sdk.send(url, param);
            parseResult(rsp);
        }

        private SortedDictionary<String, String> constructParam()
        {
            SortedDictionary<String, String> paramMap = new SortedDictionary<String, String>();

            paramMap.Add("time", defaultParam["ntime"]);
            paramMap.Add("ati", defaultParam["ati"]);
            paramMap.Add("userId", defaultParam["userId"]);
            paramMap.Add("tid", defaultParam["userId"]);
            paramMap.Add("userIp", defaultParam["userIp"]);
            paramMap.Add("topAppKey", topAppkey);
            paramMap.Add("appName", defaultParam["appName"]);
            paramMap.Add("loginResult", "success");
            paramMap.Add("loginMessage", "附加信息");

            return paramMap;
        }
    }
}
