﻿using System;
using System.Collections.Generic;
using System.IO;
using ych_sdk.Sample;

namespace ych_sdk
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                //////////////////////////////////////
                // 服务商接入参考：
                //////////////////////////////////////

                // 登陆日志上传接口示例（服务商接入、接入账号风控接入等场景）
                new TestLogin().exec();

                // 订单日志上传示例，主要演示批量上传方式
                new TestOrder().exec();

                //////////////////////////////////////
                // 物流用户接入参考:
                //////////////////////////////////////

                // express_query接口调用示例
                new TestExpressQuery().exec();
            }
            catch (Exception e)
            {
                Console.Write(e.Message);
            }

            Console.ReadKey(true);
        }
    }
}
